searchNodes=[{"doc":"Tim provides the macro time that takes any valid Elixir expression and returns a map containing several statistics for the expression's execution time, the result of the evaluated expression, and the expression's string representation. To use time , require or import Tim into your environment and pipe in the expression: require Tim 1 .. 10 |&gt; Enum . map ( &amp; &amp;1 * 2 / ( ( 1 + 10 ) * 10 ) ) |&gt; Enum . sum ( ) |&gt; Tim . time ( ) This returns (actual timing numbers will vary) %{ expr : &quot;1..10 |&gt; Enum.map(&amp;(&amp;1 * 2 / ((1 + 10) * 10))) |&gt; Enum.sum()&quot; , max : 46 , mean : 46.0 , median : 46 , a min : 46 , n : 1 , result : 1.0 } All times are in microseconds. The time macro takes a second argument that is the number n of times the expression is executed to gather timing statistics. When the above expression is piped into Time.time(100) , the result will look something like %{ expr : &quot;1..10 |&gt; Enum.map(&amp;(&amp;1 * 2 / ((1 + 10) * 10))) |&gt; Enum.sum()&quot; , max : 71 , mean : 13.83 , median : 12 , min : 10 , n : 100 , result : 1.0 }","ref":"Tim.html","title":"Tim","type":"module"},{"doc":"Takes an Elixir expression and returns a map of timing stats after executing the provided expression n times.","ref":"Tim.html#time/2","title":"Tim.time/2","type":"macro"},{"doc":"Aggregates stats.","ref":"Tim.Stats.html","title":"Tim.Stats","type":"module"},{"doc":"Return a map of statistical aggregates for a list of numbers.","ref":"Tim.Stats.html#collect/1","title":"Tim.Stats.collect/1","type":"function"},{"doc":"Compute the maximum value of a list of numbers. This aliases Enum.max .","ref":"Tim.Stats.html#max/1","title":"Tim.Stats.max/1","type":"function"},{"doc":"Compute the mean value of a list of numbers. Exmaples iex&gt; Tim.Stats . mean ( [ 1 ] ) 1.0 iex&gt; Tim.Stats . mean ( [ 1 , 2 , 3 , 4 ] ) 2.5","ref":"Tim.Stats.html#mean/1","title":"Tim.Stats.mean/1","type":"function"},{"doc":"Compute the median value of a list of numbers. This function always returns an element of the list. Exmaples iex&gt; Tim.Stats . median ( [ 1 ] ) 1 iex&gt; Tim.Stats . median ( [ 1 , 2 , 3 ] ) 2 iex&gt; Tim.Stats . median ( [ 1 , 2 , 3 , 4 ] ) 3","ref":"Tim.Stats.html#median/1","title":"Tim.Stats.median/1","type":"function"},{"doc":"Compute the minimum value of a list of numbers. This aliases Enum.min .","ref":"Tim.Stats.html#min/1","title":"Tim.Stats.min/1","type":"function"},{"doc":"Tim the tiny timer. Sometimes you want a simple tool to estimate execution time. Tim can help!","ref":"readme.html","title":"README","type":"extras"},{"doc":"Tim provides the macro time that takes any valid Elixir expression and returns a map containing several statistics for the expression's execution time, the result of the evaluated expression, and the expression's string representation. To use time , require or import Tim into your environment and pipe in the expression: require Tim 1 .. 10 |&gt; Enum . map ( &amp; &amp;1 * 2 / ( ( 1 + 10 ) * 10 ) ) |&gt; Enum . sum ( ) |&gt; Tim . time ( ) # returns (actual timing numbers will vary) %{ expr : &quot;1..10 |&gt; Enum.map(&amp;(&amp;1 * 2 / ((1 + 10) * 10))) |&gt; Enum.sum()&quot; , max : 46 , mean : 46.0 , median : 46 , min : 46 , n : 1 , result : 1.0 } All times are in microseconds. The time macro takes a second argument that is the number n of times the expression is executed to gather timing statistics. When the above expression is piped into Time.time(100) , the result will look something like %{ expr : &quot;1..10 |&gt; Enum.map(&amp;(&amp;1 * 2 / ((1 + 10) * 10))) |&gt; Enum.sum()&quot; , max : 71 , mean : 13.83 , median : 12 , min : 10 , n : 100 , result : 1.0 }","ref":"readme.html#explanation-and-usage","title":"README - Explanation and usage","type":"extras"},{"doc":"The body of the Tim.time macro wraps around Erlang's :timer.tc function that returns {&lt;execution time in microseconds&gt;, &lt;result value&gt;} . The reason that time is a macro is so that the entire expression remains unevaluated until called inside :timer.tc . To generate timing statistics over independent executions, :timer.tc and the expression are evaluated n times.","ref":"readme.html#under-the-hood","title":"README - Under the hood","type":"extras"}]